cancel
Showing results for 
Search instead for 
Did you mean: 

Что не так с Composer?

SOLVED

Что не так с Composer?

  1. Поставил убунту 16.04 Server
  2. Настроил сервер посадил актуальную Magento 2.1.1
  3. При инсталяции языкa, через Composer начала возникать предупреждение: Package fabpot/php-cs-fixer is abandoned, you should avoid using it. Use friends ofphp/php-cs-fixer instead. Помучившись и не решив проблему посадил язык через Bash
  4. При инсталяции необходимого мне модуля, а он сажается через composer, опять вылезло то же самое.

В сети я находил какие-то решения, но пока ничего не получилось.  Короче как решить? 

5 REPLIES

Re: Что не так с Composer?

Это не та ошибка, на исправление которой стоит тратить своё время.

В каком-то из модулей, идущих в комплекте с ядром Magento указана зависимость на упомянутый модуль/пакет. 

Пока разработчики Magento не исправят эту зависимость, такая надпись будет вылезать при любых обновлениях через composer.

 

В идеале конечно найти место, где указана эта зависимость и сделать баг репорт, но у всех времени не хватает и "так работает".


ET Web Solutions
extensions, custom work, support

Re: Что не так с Composer?

To eсть не обращать на это внимание. Хорошо, сейчас все снесу  и попробую "eще раз и по честному"

Спасибо

Re: Что не так с Composer?

Да, с языковым модулем все удачно, спасибо, разобрался. А вот с shiping-модулем какая-то непонятка. Он залился в шоп и я вижу его в vendor/ ,но в админке его нет. 

Где в М2  можно присоеденить / отсоеденить модуль? (XML ?) Возможно в этом проблема?

 

В Stores ->Configuration ->Advanced->Advanced Этого модуля нет

Re: Что не так с Composer?

bin/magento module:status

bin/magento module:enable

bin/magento setup:upgrade


ET Web Solutions
extensions, custom work, support

Re: Что не так с Composer?

Отлично!
Речь шла о Owebia Shipping.  И кинь в личку свой PayPal майл. Брошу маленько